com.independentsoft.exchange

## Class UserConfigurationDictionaryEntry

- java.lang.Object
- - com.independentsoft.exchange.UserConfigurationDictionaryEntry

-     public class UserConfigurationDictionaryEntry
      extends java.lang.Object

  Specifies the contents of a single dictionary entry property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConfigurationDictionaryEntry()` Initializes a new instance of the UserConfigurationDictionaryEntry class.
    `UserConfigurationDictionaryEntry(UserConfigurationDictionaryKey key, UserConfigurationDictionaryValue value)` Initializes a new instance of the UserConfigurationDictionaryEntry class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserConfigurationDictionaryKey` | `getKey()` Gets the dictionary key for a dictionary property.
    `UserConfigurationDictionaryValue` | `getValue()` Gets the dictionary value for a dictionary property.
    `void` | `setKey(UserConfigurationDictionaryKey key)` Sets the dictionary key for a dictionary property.
    `void` | `setValue(UserConfigurationDictionaryValue value)` Sets the dictionary value for a dictionary property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConfigurationDictionaryEntry

          public UserConfigurationDictionaryEntry()

      Initializes a new instance of the UserConfigurationDictionaryEntry class.

    - #### UserConfigurationDictionaryEntry

          public UserConfigurationDictionaryEntry(UserConfigurationDictionaryKey key,
                                                  UserConfigurationDictionaryValue value)

      Initializes a new instance of the UserConfigurationDictionaryEntry class.
      Parameters:
        `key` - the key
        `value` - the value

  - ### Method Detail

    - #### getKey

          public UserConfigurationDictionaryKey getKey()

      Gets the dictionary key for a dictionary property.
      Returns:
        the key

    - #### setKey

          public void setKey(UserConfigurationDictionaryKey key)

      Sets the dictionary key for a dictionary property.
      Parameters:
        `key` - the new key

    - #### getValue

          public UserConfigurationDictionaryValue getValue()

      Gets the dictionary value for a dictionary property.
      Returns:
        the value

    - #### setValue

          public void setValue(UserConfigurationDictionaryValue value)

      Sets the dictionary value for a dictionary property.
      Parameters:
        `value` - the new value